## tyvis 20031216-2

=== debian/changelog ===
tyvis (20031216-2) unstable; urgency=low

  * Added a build dependency for libltdl3-dev.
  * Changed the g++ dependency to g++-3.3 | g++-3.2

 -- Dale E Martin <dmartin@cliftonlabs.com>  Sat, 14 Feb 2004 19:20:03 -0500

tyvis (20031216-1) unstable; urgency=low

  * New upstream release that works with the completely new warped
    codebase.
  * Warped is now a separate package as it should have been all along.
    See libwarped0 and libwarped0-dev.

 -- Dale E Martin <dmartin@cliftonlabs.com>  Thu,  1 Jan 2004 17:21:30 -0500

tyvis (1.02-2) unstable; urgency=low

  * Fixed packaging bugs reported by Roman Hodek.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Fri,  5 Nov 1999 09:12:56 -0500

tyvis (1.02-1) unstable; urgency=low

  * New upstream source.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Mon, 25 Oct 1999 02:47:22 -0400

tyvis (1.01-2) unstable; urgency=low

  * Fixed more packaging problems.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Thu, 24 Jun 1999 15:47:29 -0400

tyvis (1.01-1) unstable; urgency=low

  * New upstream release.
  * Fixed some packaging bugs.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Wed, 16 Jun 1999 13:08:18 -0400

tyvis (1.0-1) unstable; urgency=low

  * Initial non-beta release.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Sun, 21 Mar 1999 13:26:22 -0500

tyvis (0.99.4-1) unstable; urgency=low

  * Next beta.  Some upstream changes.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Sat, 20 Mar 1999 18:51:35 -0500

tyvis (0.99.1-1) unstable; urgency=low

  * Next beta

 -- Dale E. Martin <dmartin@clifton-labs.com>  Wed, 10 Mar 1999 15:15:42 -0500

tyvis (0.99-1) unstable; urgency=low

  * Initial Release.

 -- Dale E. Martin <dmartin@clifton-labs.com>  Tue,  2 Mar 1999 13:48:54 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "dmartin@clifton-labs.com"
End:
